Subject: bug#37782: Emacs 27 client adding [I] to the beginning of the buffer

From: Eli Zaretskii <[email-masked]>
Date: Thu, 17 Oct 2019 16:20:02 +0300

> From: Carlos Pita <[email-masked]>
> Date: Thu, 17 Oct 2019 10:01:45 -0300
> Cc: [email-masked]
> 
> I don't have time to further debug this right now but I believe it
> might be related to
> 
> (defun xterm--init-focus-tracking ()
>   "Terminal initialization for focus tracking mode."
>   (send-string-to-terminal "\e[?1004h")
> 
> somehow not being correctly or timely initialized.

Most probably (which is why I pointed to the corresponding escape
sequences), but the question is exactly why does this not work as
expected?  Is the terminal you are using too fast or too slow to
respond?  Is something else wrong?  We need to answer these questions
to make some progress with this issue.

Maybe someone else can reproduce and debug this.